%define upstream_name    File-TypeCategories
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Determine if files match a specific type
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Moo) >= 1.0.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings) >= 0.26.0
BuildRequires: perl(Type::Tiny) >= 1.0.0
BuildRequires: perl(Types::Standard) >= 1.0.0
BuildRequires: perl(YAML) >= 1.0.0
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
A 'File::TypeCategories' object can be used to test if files match the
defined categories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/tfind
%{_mandir}/man1/tfind.1*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.80.0-3.mga9
+ Revision: 1819277
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.80.0-2.mga8
+ Revision: 1519955
- Mageia 8 Mass Rebuild

* Fri Oct 26 2018 tv <tv> 0.80.0-1.mga7
+ Revision: 1325657
- update to 0.08

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-2.mga7
+ Revision: 1283763
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.70.0-1.mga7
+ Revision: 1253940
- update to 0.07

* Sat Jul 29 2017 sander85 <sander85> 0.60.0-1.mga7
+ Revision: 1132468
- update to 0.06

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1027623
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 969085
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 861353
- update to 0.05

* Thu Jul 23 2015 sander85 <sander85> 0.40.0-1.mga6
+ Revision: 856551
- update to 0.04

* Tue Jul 14 2015 shlomif <shlomif> 0.30.0-2.mga6
+ Revision: 853750
- Fix the module by using Build.PL instead of Makefile.PL.
- it failed with running ->new'.

* Fri Jun 26 2015 shlomif <shlomif> 0.30.0-1.mga6
+ Revision: 844587
- imported package perl-File-TypeCategories


* Fri Jun 26 2015 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
